package com.bigflix.BigFlixMovies;

import android.content.Context;
import android.widget.Toast;

import com.app.pokktsdk.delegates.OfferwallCampaignDelegate;

public class OfferwallDelegate implements OfferwallCampaignDelegate {

    public static OfferwallActivity offerwallActivity;

    @Override
    public void earnedCoins(int coins) {
        if (coins == -1) {
            Toast.makeText(offerwallActivity, "No Points Earned", Toast.LENGTH_LONG).show();
        } else {
            Toast.makeText(offerwallActivity, "Points earned " + coins, Toast.LENGTH_LONG).show();
            Storage.storeOfferWallPoints(offerwallActivity,coins);
            offerwallActivity.updateUI(Storage.getOfferWallPoints(offerwallActivity));
        }
    }

    @Override
    public void earnedCoins(int coins, String transaction_id) {
        if (coins == -1) {
            Toast.makeText(offerwallActivity, "No Points Earned", Toast.LENGTH_LONG).show();
        } else {
            Toast.makeText(offerwallActivity, "Points earned " + coins + " with transaction id " + transaction_id, Toast.LENGTH_LONG).show();
            Storage.storeOfferWallPoints(offerwallActivity,coins);
            offerwallActivity.updateUI(Storage.getOfferWallPoints(offerwallActivity));
        }
    }

    @Override
    public void requestFailed(String message) {
        Toast.makeText(offerwallActivity, message, Toast.LENGTH_LONG).show();
    }

    @Override
    public void onOfferwallCampaignCheck(Context context, boolean campaignsAvailable) {
        if(campaignsAvailable){
            Toast.makeText(context, "Campaigns Available!!", Toast.LENGTH_LONG).show();
        }else{
            Toast.makeText(context, "No Campaigns Available!!", Toast.LENGTH_LONG).show();
        }
    }

    @Override
    public void onOfferwallClosed(Context context) {
        Toast.makeText(context, "Offer wall is closed!!", Toast.LENGTH_LONG).show();
    }
}
